{% extends 'front_end/base.html' %}
{% load static %}
{% load widget_tweaks %}
{% block style %}
<link rel="stylesheet" href="{% static 'front_end/css/styles.css' %}">
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style%}
{% block title %}
Register
{% endblock title %}
{% block body %}
<body class='body'>
{% if registered %}
<h1>Thank you for registering</h1>
{% else %}
<div class="signupform">
<h1 id="heading"> Register</h1>
<form enctype="multipart/form-data" method="post">
  {% csrf_token %}
    {% for hidden_field in user_form.hidden_fields %}
        {{ hidden_field }}
      {% endfor %}

      {% if user_form.non_field_errors %}
      <div class="alert alert-danger" role="alert">
        {% for error in user_form.non_field_errors %}
          {{ error }}
        {% endfor %}
      </div>
    {% endif %}

    {% for field in user_form.visible_fields %}
    <div class="form-group">
      {{ field.label_tag }}

      {% if user_form.is_bound %}
        {% if field.errors %}
          {% render_field field class="form-control is-invalid" %}
          {% for error in field.errors %}
            <div class="invalid-feedback">
              {{ error }}
            </div>
          {% endfor %}
        {% else %}
          {% render_field field class="form-control is-valid" %}
        {% endif %}
      {% else %}
        {% render_field field class="form-control" %}
      {% endif %}

      {% if field.help_text %}
        <small class="form-text text-muted">{{ field.help_text }}</small>
      {% endif %}
    </div>
  {% endfor %}

  <button type="submit" class="register_button">Register</button>
    <!-- {{user_form.as_p}} -->
  </form>
  </div>

  {% endif %}
</body>
{% endblock body%}
